Bug 185081 - maintainer-update of mail/mutt
Summary: maintainer-update of mail/mutt
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Thierry Thomas
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-12-22 10:20 UTC by Udo.Schweigert
Modified: 2014-02-03 22:50 UTC (History)
0 users

See Also:


Attachments
file.diff (22.49 KB, patch)
2013-12-22 10:20 UTC, Udo.Schweigert
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Udo.Schweigert 2013-12-22 10:20:01 UTC
Maintainer update of mail/mutt:

	- Enable staging, simplifying the port, especially the PLIST code
	- Make port work with installed db6 for header caches

Committer: New files (svn add): files/patch-staging-Makefile.am	pkg-plist
	   Removed files (svn rm): files/extra-patch-doc-xml files/extra-patch-no-mbox-manpage files/extra-patch-nodoc-contrib files/extra-patch-nodoc-mailbox-contrib scripts/generate-plist scripts/
Comment 1 dfilter service freebsd_committer 2014-02-03 22:39:21 UTC
Author: thierry
Date: Mon Feb  3 22:39:05 2014
New Revision: 342475
URL: http://svnweb.freebsd.org/changeset/ports/342475
QAT: https://qat.redports.org/buildarchive/r342475/

Log:
  - Enable staging, simplifying the port, especially the PLIST code
  
  - Make port work with installed db6 for header caches
  
  PR:		ports/185081
  Submitted by:	Udo Schweigert <udo.schweigert (at) siemens.com> (maintainer)

Added:
  head/mail/mutt/files/patch-staging-Makefile.am   (contents, props changed)
  head/mail/mutt/pkg-plist   (contents, props changed)
Deleted:
  head/mail/mutt/files/extra-patch-doc-xml
  head/mail/mutt/files/extra-patch-no-mbox-manpage
  head/mail/mutt/files/extra-patch-nodoc-contrib
  head/mail/mutt/files/extra-patch-nodoc-mailbox-contrib
  head/mail/mutt/scripts/
Modified:
  head/mail/mutt-lite/Makefile
  head/mail/mutt/Makefile
  head/mail/mutt/files/patch-02

Modified: head/mail/mutt-lite/Makefile
==============================================================================
--- head/mail/mutt-lite/Makefile	Mon Feb  3 22:20:02 2014	(r342474)
+++ head/mail/mutt-lite/Makefile	Mon Feb  3 22:39:05 2014	(r342475)
@@ -10,5 +10,4 @@ CONFLICTS=	ja-mutt-[0-9]* ja-mutt-devel-
 
 MUTT_LITE=	yes
 
-NO_STAGE=	yes
 .include "${MASTERDIR}/Makefile"

Modified: head/mail/mutt/Makefile
==============================================================================
--- head/mail/mutt/Makefile	Mon Feb  3 22:20:02 2014	(r342474)
+++ head/mail/mutt/Makefile	Mon Feb  3 22:39:05 2014	(r342475)
@@ -3,7 +3,6 @@
 
 PORTNAME=	mutt
 PORTVERSION=	1.5.22
-PORTREVISION=	0
 CATEGORIES+=	mail ipv6
 MASTER_SITES=	ftp://ftp.mutt.org/mutt/devel/ \
 		ftp://ftp.fu-berlin.de/pub/unix/mail/mutt/devel/ \
@@ -15,7 +14,6 @@ MASTER_SITES=	ftp://ftp.mutt.org/mutt/de
 		ftp://ftp3.mutt.org.ua/pub/mutt/mutt-${VVV_PATCH_VERSION}/:vvv \
 		http://www.spinnaker.de/mutt/compressed/:rr \
 		http://lunar-linux.org/~tchan/mutt/:tchan
-DISTNAME=	mutt-${PORTVERSION}
 DISTFILES=	${DISTNAME}${EXTRACT_SUFX}
 EXTRACT_ONLY=	${DISTNAME}${EXTRACT_SUFX}
 
@@ -42,6 +40,10 @@ CONFIGURE_ARGS=	--disable-fcntl --with-s
 		--with-docdir=${DOCSDIR} --sysconfdir=${PREFIX}/etc \
 		--enable-external-dotlock --enable-pop --enable-imap \
 		--disable-warnings
+
+USES+=		shebangfix
+SHEBANG_FILES=	doc/gen-map-doc smime_keys.pl contrib/smime_keys_test.pl
+
 .if defined(MUTT_CONFIGURE_ARGS)
 CONFIGURE_ARGS+=	${MUTT_CONFIGURE_ARGS}
 .endif
@@ -103,11 +105,6 @@ OPTIONS_DEFAULT=	COMPRESSED_FOLDERS HTML
 		NLS XML SMTP
 .endif
 
-PLIST=		${WRKDIR}/PLIST
-PKGMESSAGE=	${WRKDIR}/pkg-message
-SCRIPTS_ENV=	WRKDIR="${WRKDIR}"
-
-NO_STAGE=	yes
 .include <bsd.port.options.mk>
 
 DW_PATCH_VERSION=	1.5.6
@@ -131,6 +128,7 @@ AC_PATCH_VERSION=	${PORTVERSION}
 
 .if defined (LITE)
 PKGNAMESUFFIX=	-lite
+PLIST_SUB+=	MBOXMAN=""
 .endif
 
 # XXX
@@ -165,7 +163,7 @@ LIB_DEPENDS+=	libslang.so:${PORTSDIR}/de
 .endif
 
 .if ${PORT_OPTIONS:MNCURSES}
-USES=		ncurses
+USES+=		ncurses
 .endif
 
 .if ! ${PORT_OPTIONS:MSGMLFORMAT} || ! ${PORT_OPTIONS:MXML} || !defined(XML_USED) \
@@ -175,9 +173,10 @@ XML_USED=	no
 
 .if ${PORT_OPTIONS:MNLS}
 USES+=		gettext
-SCRIPTS_ENV+=	NLS="yes"
+PLIST_SUB+=	NLS=""
 .else
 CONFIGURE_ARGS+=	--disable-nls
+PLIST_SUB+=	NLS="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MSASL}
@@ -198,7 +197,6 @@ post-patch::
 .if ${PORT_OPTIONS:MSIGNATURE_MENU}
 IGNORE=	the WITH_SIGNATURE_MENU does not work at the moment
 XML_NEEDED=	yes
-SCRIPTS_ENV+=	SIGNATURE_MENU="yes"
 post-patch::
 	@${PATCH} ${PATCH_ARGS} -p1 < ${PATCHDIR}/extra-patch-signature-menu
 .endif
@@ -310,12 +308,16 @@ DISTFILES+=	patch-${VVV_PATCH_VERSION}.v
 CONFIGURE_ARGS+=	--enable-nntp
 XML_NEEDED=	yes
 CATEGORIES+=	news
-SCRIPTS_ENV+=	NNTP="yes"
+PLIST_SUB+=	NNTP=""
 pre-patch::
 	@${GUNZIP_CMD} -c ${DISTDIR}/${DIST_SUBDIR}/patch-${VVV_PATCH_VERSION}.vvv.nntp.gz > ${WRKDIR}/patch-nntp
 	@${REINPLACE_CMD} -E '/^diff.*\/doc\/manual.txt$$/,/^diff/d' \
 		${WRKDIR}/patch-nntp
 	@${PATCH} ${PATCH_ARGS} -p1 < ${WRKDIR}/patch-nntp
+post-install:
+	${INSTALL_MAN} ${WRKSRC}/ChangeLog.nntp ${STAGEDIR}${DOCSDIR}
+.else
+PLIST_SUB+=	NNTP="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MQUOTE_PATCH}
@@ -355,11 +357,6 @@ post-patch::
 .endif
 
 WRKSRC=		${WRKDIR}/${DISTNAME:S/i$//}
-MAN1=		mutt.1 mutt_dotlock.1 flea.1 muttbug.1 pgpewrap.1 pgpring.1 smime_keys.1
-MAN5=		muttrc.5
-.if ${PORT_OPTIONS:MMAILBOX_MANPAGES}
-MAN5+=		mbox.5 mmdf.5
-.endif
 
 post-patch::
 	@${REINPLACE_CMD} -e 's,/usr/bin/gpg,${LOCALBASE}/bin/gpg,g' \
@@ -368,9 +365,6 @@ post-patch::
 		${WRKSRC}/contrib/pgp6.rc
 	@${REINPLACE_CMD} -E -e 's|@samplesdir@|${EXAMPLESDIR}|g' \
 		${WRKSRC}/contrib/Makefile.am
-.if ! ${PORT_OPTIONS:MMAILBOX_MANPAGES}
-	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-no-mbox-manpage
-.endif
 
 pre-configure::
 	@(cd ${WRKSRC}; ${SETENV} ${AUTOMAKE_ENV} ${ACLOCAL} -I m4)
@@ -380,16 +374,10 @@ pre-configure::
 		${WRKSRC}/imap/auth_gss.c
 .endif
 
-.if ${PORT_OPTIONS:MSLAVE_HTML_PAGES}
-SCRIPTS_ENV+=	SLAVE_HTML_PAGES="${SLAVE_HTML_PAGES}"
-.endif
-
 .if ${PORT_OPTIONS:MCOMPRESSED_FOLDERS}
-SCRIPTS_ENV+=	COMPRESSED_FOLDERS="yes"
-.endif
-
-.if ${PORT_OPTIONS:MQUOTE_PATCH}
-SCRIPTS_ENV+=	QUOTE_PATCH="yes"
+PLIST_SUB+=	COMPRESS=""
+.else
+PLIST_SUB+=	COMPRESS="@comment "
 .endif
 
 .if ${PORT_OPTIONS:MIMAP_HEADER_CACHE} || ${PORT_OPTIONS:MMAILDIR_HEADER_CACHE}
@@ -399,6 +387,9 @@ LIB_DEPENDS+=		libtokyocabinet.so:${PORT
 .else
 USE_BDB=		42+
 CONFIGURE_ARGS+=	--enable-hcache --without-gdbm --with-bdb
+CONFIGURE_SED=	-e 's/BDB_VERSIONS="/&${BDB_LIB_NAME} db${BDB_VER} /'
+pre-configure::
+	@${REINPLACE_CMD} -E ${CONFIGURE_SED} ${CONFIGURE_WRKSRC}/${CONFIGURE_SCRIPT}.ac
 .endif
 .else
 CONFIGURE_ARGS+=	--disable-hcache
@@ -408,18 +399,6 @@ CONFIGURE_ARGS+=	--disable-hcache
 CONFIGURE_ARGS+=	--without-qdbm
 .endif
 
-.if ${PORT_OPTIONS:MSIDEBAR_PATCH}
-SCRIPTS_ENV+=	SIDEBAR_PATCH="yes"
-.endif
-
-.if ${PORT_OPTIONS:MIFDEF_PATCH}
-SCRIPTS_ENV+=	IFDEF_PATCH="yes"
-.endif
-
-.if ${PORT_OPTIONS:MREVERSE_REPLY_PATCH}
-SCRIPTS_ENV+=	REVERSE_REPLY_PATCH="yes"
-.endif
-
 .if defined (XML_NEEDED) && ${PORT_OPTIONS:MXML}
 XML_USED=	yes
 .endif
@@ -427,17 +406,18 @@ XML_USED=	yes
 XML_USED=	yes
 .endif
 
-.if ${PORT_OPTIONS:MDOCS} || ${XML_USED} == yes
-INSTALL_DOCS=	yes
+.if ${PORT_OPTIONS:MMAILBOX_MANPAGES}
+PLIST_SUB+=	MBOXMAN=""
 .else
-INSTALL_DOCS=	no
+PLIST_SUB+=	MBOXMAN="@comment "
 .endif
 
-.if ${INSTALL_DOCS} == yes
-SCRIPTS_ENV+=	PORTDOCS="yes"
 .if ${PORT_OPTIONS:MHTML}
-SCRIPTS_ENV+=	HTML="yes"
+PLIST_SUB+=	HTML=""
+.else
+PLIST_SUB+=	HTML="@comment "
 .endif
+.if ${PORT_OPTIONS:MDOCS} || ${XML_USED} == yes
 post-build:
 	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-doc-ref
 	@${REINPLACE_CMD} -E -e 's|\$$\{PREFIX\}|${PREFIX}|g' \
@@ -448,42 +428,16 @@ post-build:
 		-e 's|\$$\{DOCSDIR\}|${DOCSDIR}|g' \
 		-e 's|\$$\{EXAMPLESDIR\}|${EXAMPLESDIR}|g' \
 		${WRKSRC}/doc/muttrc.man
-.else 	# ! INSTALL_DOCS
-post-patch::
-.if ${PORT_OPTIONS:MMAILBOX_MANPAGES}
-	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-nodoc-mailbox-contrib
-.else
-	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-nodoc-contrib
 .endif
-.endif # ! INSTALL_DOCS
 
 .if ${XML_USED} == yes
 BUILD_DEPENDS+=	xsltproc:${PORTSDIR}/textproc/libxslt \
 		${LOCALBASE}/share/xsl/docbook/html/docbook.xsl:${PORTSDIR}/textproc/docbook-xsl \
 		lynx:${PORTSDIR}/www/lynx
-post-patch::
-	@${PATCH} ${PATCH_ARGS} < ${PATCHDIR}/extra-patch-doc-xml
 .endif
 
-pre-install:
-	@${SETENV} ${SCRIPTS_ENV} ${SH} ${SCRIPTDIR}/generate-plist > ${PLIST}
-
-post-install:
-	${INSTALL_DATA} ${WRKSRC}/doc/Muttrc ${PREFIX}/etc/Muttrc.dist
-.if ${INSTALL_DOCS} == yes
-	@${ECHO} "===>   Installing Mutt documentation"
-	@${MKDIR} ${DOCSDIR} && ${CHMOD} a+rx ${DOCSDIR}
-	@cd ${WRKSRC}/doc ; ${INSTALL_MAN} manual.txt PGP-Notes.txt \
-		../ABOUT-NLS ../contrib/language*  ${DOCSDIR}
-.if ${PORT_OPTIONS:MNNTP}
-	@cd ${WRKSRC} ; ${INSTALL_MAN} ChangeLog.nntp ${DOCSDIR}
-.endif
-.if ${PORT_OPTIONS:MHTML}
-	@${MKDIR} ${DOCSDIR}/html && ${CHMOD} a+rx ${DOCSDIR}/html
-	${INSTALL_MAN} ${WRKSRC}/doc/*.html ${DOCSDIR}/html
-.endif
-.endif
 .if ${PORT_OPTIONS:MSLANG}
+PKGMESSAGE=	${WRKDIR}/pkg-message
 	@${ECHO} "=====================================================" > ${PKGMESSAGE}
 	@${ECHO} "You have installed ${PORTNAME} with SLANG support." >> ${PKGMESSAGE}
 	@${ECHO} "This may work for a color terminal only when defining" >> ${PKGMESSAGE}
@@ -492,8 +446,4 @@ post-install:
 	@${ECHO} "=====================================================" >> ${PKGMESSAGE}
 .endif
 
-.if !defined(BATCH) && ${PORT_OPTIONS:MSLANG}
-	@${CAT} ${PKGMESSAGE}
-	@${ECHO}
-.endif
 .include <bsd.port.mk>

Modified: head/mail/mutt/files/patch-02
==============================================================================
--- head/mail/mutt/files/patch-02	Mon Feb  3 22:20:02 2014	(r342474)
+++ head/mail/mutt/files/patch-02	Mon Feb  3 22:39:05 2014	(r342475)
@@ -1,25 +1,6 @@
 --- doc/Makefile.am.orig	2013-10-18 06:48:24.000000000 +0200
-+++ doc/Makefile.am	2013-10-18 12:30:09.000000000 +0200
-@@ -48,7 +48,7 @@
- 
- all: makedoc-all
- 
--makedoc-all: mutt.1 smime_keys.1 muttrc.man manual.html stamp-doc-rc stamp-doc-chunked manual.txt pgpewrap.1 pgpring.1
-+makedoc-all: mutt.1 smime_keys.1 muttrc.man pgpewrap.1 pgpring.1
- 
- install-data-local: makedoc-all instdoc
- 	$(top_srcdir)/mkinstalldirs $(DESTDIR)$(mandir)/man1
-@@ -73,9 +73,6 @@
- 		$(INSTALL) -m 644 $(srcdir)/$$f $(DESTDIR)$(docdir) ; \
- 	done
- 	-$(INSTALL) -m 644 manual.txt $(DESTDIR)$(docdir)
--	-for f in $(HTML_DOCFILES) ; do \
--		$(INSTALL) -m 644 $$f $(DESTDIR)$(docdir) ; \
--	done
- 	$(INSTALL) -m 644 Muttrc $(DESTDIR)$(sysconfdir)/Muttrc.dist
- 	-if [ -f $(DESTDIR)$(pkgdatadir)/Muttrc ] ; then \
- 		mv $(DESTDIR)$(pkgdatadir)/Muttrc* $(DESTDIR)$(sysconfdir) ; \
-@@ -106,9 +103,7 @@
++++ doc/Makefile.am	2013-12-22 00:01:17.000000000 +0100
+@@ -106,9 +106,7 @@
  
  check:
  manual.txt: manual.html

Added: head/mail/mutt/files/patch-staging-Makefile.am
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/mutt/files/patch-staging-Makefile.am	Mon Feb  3 22:39:05 2014	(r342475)
@@ -0,0 +1,14 @@
+--- Makefile.am.orig	2013-12-20 12:47:32.000000000 +0100
++++ Makefile.am	2013-12-20 12:52:38.000000000 +0100
+@@ -156,11 +156,6 @@
+ 		rm -f $(DESTDIR)$(bindir)/mutt.dotlock ;		\
+ 		ln -sf $(DESTDIR)$(bindir)/mutt_dotlock $(DESTDIR)$(bindir)/mutt.dotlock ; \
+ 	fi
+-	if test -f $(DESTDIR)$(bindir)/mutt_dotlock && test x@DOTLOCK_GROUP@ != x ; then \
+-		chgrp @DOTLOCK_GROUP@ $(DESTDIR)$(bindir)/mutt_dotlock && \
+-		chmod @DOTLOCK_PERMISSION@ $(DESTDIR)$(bindir)/mutt_dotlock || \
+-		{ echo "Can't fix mutt_dotlock's permissions!  This is required to lock mailboxes in the mail spool directory." >&2 ; exit 1 ; } \
+-	fi
+ 
+ install-data-local:
+ 	$(srcdir)/mkinstalldirs $(DESTDIR)$(sysconfdir)

Added: head/mail/mutt/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/mail/mutt/pkg-plist	Mon Feb  3 22:39:05 2014	(r342475)
@@ -0,0 +1,118 @@
+bin/flea
+bin/mutt
+bin/muttbug
+@group mail
+@mode 2755
+bin/mutt_dotlock
+@group
+@mode
+bin/pgpewrap
+bin/pgpring
+bin/smime_keys
+@unexec if cmp -s %D/etc/Muttrc.dist %D/etc/Muttrc; then rm -f %D/etc/Muttrc; fi
+etc/Muttrc.dist
+@exec if [ ! -f %D/etc/Muttrc ]; then install -m 644 %D/etc/Muttrc.dist %D/etc/Muttrc; fi
+man/man1/flea.1.gz
+man/man1/mutt.1.gz
+man/man1/mutt_dotlock.1.gz
+man/man1/muttbug.1.gz
+man/man1/pgpewrap.1.gz
+man/man1/pgpring.1.gz
+man/man1/smime_keys.1.gz
+%%MBOXMAN%%man/man5/mbox.5.gz
+%%MBOXMAN%%man/man5/mmdf.5.gz
+man/man5/muttrc.5.gz
+%%PORTDOCS%%%%DOCSDIR%%/COPYRIGHT
+%%PORTDOCS%%%%DOCSDIR%%/ChangeLog
+%%PORTDOCS%%%%DOCSDIR%%/GPL
+%%PORTDOCS%%%%DOCSDIR%%/INSTALL
+%%PORTDOCS%%%%DOCSDIR%%/NEWS
+%%PORTDOCS%%%%DOCSDIR%%/PGP-Notes.txt
+%%PORTDOCS%%%%DOCSDIR%%/README
+%%PORTDOCS%%%%DOCSDIR%%/README.SECURITY
+%%PORTDOCS%%%%DOCSDIR%%/README.SSL
+%%PORTDOCS%%%%DOCSDIR%%/TODO
+%%PORTDOCS%%%%DOCSDIR%%/applying-patches.txt
+%%PORTDOCS%%%%DOCSDIR%%/devel-notes.txt
+%%PORTDOCS%%%%DOCSDIR%%/manual.txt
+%%PORTDOCS%%%%DOCSDIR%%/patch-notes.txt
+%%PORTDOCS%%%%DOCSDIR%%/smime-notes.txt
+%%NNTP%%%%PORTDOCS%%%%DOCSDIR%%/ChangeLog.nntp
+%%PORTDOCS%%%%DOCSDIR%%/advancedusage.html
+%%PORTDOCS%%%%DOCSDIR%%/configuration.html
+%%PORTDOCS%%%%DOCSDIR%%/gettingstarted.html
+%%PORTDOCS%%%%DOCSDIR%%/index.html
+%%PORTDOCS%%%%DOCSDIR%%/intro.html
+%%PORTDOCS%%%%DOCSDIR%%/manual.html
+%%PORTDOCS%%%%DOCSDIR%%/mimesupport.html
+%%PORTDOCS%%%%DOCSDIR%%/miscellany.html
+%%PORTDOCS%%%%DOCSDIR%%/optionalfeatures.html
+%%PORTDOCS%%%%DOCSDIR%%/reference.html
+%%PORTDOCS%%%%DOCSDIR%%/security.html
+%%PORTDOCS%%%%DOCSDIR%%/tuning.html
+%%COMPRESS%%%%PORTDOCS%%%%DOCSDIR%%/compressed-folders.html
+%%PORTDOCS%%@dirrm %%DOCSDIR%%
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/Mush.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/Pine.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/Tin.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/ca-bundle.crt
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/colors.default
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/colors.linux
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/gpg.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.aix-3.2.5.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.aix-4.1.5.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.aix-4.2.0.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.aix-4.3.2.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.freebsd-3.3.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.glibc-2.1.3.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.glibc-2.1.90.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.hpux-10.01.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.hpux-10.20.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.hpux-11.00.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.irix-6.5.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.osf1-4.0a.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.osf1-4.0d.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.solaris-2.4.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.solaris-2.5.1.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.solaris-2.6-cjk.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.solaris-2.6.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/iconv/iconv.solaris-2.7.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/mutt_xtitle
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/pgp2.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/pgp6.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/sample.mailcap
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/sample.muttrc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/sample.muttrc-tlr
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/smime.rc
+%%PORTEXAMPLES%%%%EXAMPLESDIR%%/smime_keys_test.pl
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%/iconv
+%%PORTEXAMPLES%%@dirrm %%EXAMPLESDIR%%
+%%NLS%%share/locale/bg/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/ca/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/cs/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/da/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/de/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/el/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/eo/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/es/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/et/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/eu/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/fr/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/ga/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/gl/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/hu/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/id/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/it/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/ja/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/ko/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/lt/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/nl/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/pl/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/pt_BR/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/ru/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/sk/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/sv/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/tr/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/uk/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/zh_CN/LC_MESSAGES/mutt.mo
+%%NLS%%share/locale/zh_TW/LC_MESSAGES/mutt.mo
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 2 Thierry Thomas freebsd_committer 2014-06-01 08:05:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->thierry


Take it.
Comment 3 Thierry Thomas freebsd_committer 2014-06-01 08:05:35 UTC
State Changed
From-To: open->closed


Committed, thanks! 

Note: with some minor changes, to fix dir permissions, perl shebang and 
mutt-lite plist.